#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <unistd.h>
#include "I2Cdev.h"
#include "PCA9685.h"

int main(int argc, char *argv[])
{
	PCA9685 PWM;

	const int servoMin = 195;
	const int servoMax = 650;
	const int servoMid = (servoMin + servoMax)/2;
	
    if(PWM.reset())
		printf("You did something, unclear to me WHAT!\n");
	else
		printf("Failed\n");
	
	PWM.setPWMFreq(60);
	
	for( int i = 0; i < 10; i++ ){
		PWM.setPWM(0, 0, servoMin);
		sleep(1);
		PWM.setPWM(0, 0, servoMid);
		sleep(1);
		PWM.setPWM(0, 0, servoMax);
		sleep(1);
		PWM.setPWM(0, 0, servoMid);
		sleep(1);
	}
	return 0;
}
